/***************************************************************************
 * Copyright 2013 Kieker Project (http://kieker-monitoring.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************************/
package kieker.webgui.domain;

import kieker.analysis.model.analysisMetaModel.MIProject;

/**
 * This is a container for an instance of {@link MIProject}. Later it will probably contain more data.
 * 
 * @author Nils Christian Ehmke
 */
public class Project {

	private String owner;
	private String lastEditor;
	private MIProject projectInstance;

	/**
	 * Creates a new instance of this class using the given parameters.
	 * 
	 * @param projectInstance
	 *            The model instance to be stored in this object.
	 */
	public Project(final MIProject projectInstance) {
		this.projectInstance = projectInstance;
	}

	/**
	 * Getter for the property {@link Project#projectInstance}.
	 * 
	 * @return The current value of the property.
	 */
	public MIProject getProjectInstance() {
		return this.projectInstance;
	}

	/**
	 * Setter for the property {@link Project#projectInstance}.
	 * 
	 * @param projectInstance
	 *            The new value of the property.
	 */
	public void setProjectInstance(final MIProject projectInstance) {
		this.projectInstance = projectInstance;
	}

	/**
	 * Getter for the property {@link Project#owner}.
	 * 
	 * @return The current value of the property.
	 */
	public String getOwner() {
		return this.owner;
	}

	/**
	 * Setter for the property {@link Project#owner}.
	 * 
	 * @param owner
	 *            The new value of the property.
	 */
	public void setOwner(final String owner) {
		this.owner = owner;
	}

	/**
	 * Getter for the property {@link Project#lastEditor}.
	 * 
	 * @return The current value of the property.
	 */
	public String getLastEditor() {
		return this.lastEditor;
	}

	/**
	 * Setter for the property {@link Project#lastEditor}.
	 * 
	 * @param lastEditor
	 *            The new value of the property.
	 */
	public void setLastEditor(final String lastEditor) {
		this.lastEditor = lastEditor;
	}

}
